#include <bits/stdc++.h>
#include <iostream>

using namespace std;

typedef long long ll;

const int mxN = 3 * 1e5;

pair<double, ll> arr[mxN];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    ll n;
    cin >> n;
    ll totalSum = 0;
    for(int i = 0; i < n; i++)
    {
        cin >> arr[i].second >> arr[i].first;
        totalSum += arr[i].second;
    }
    sort(arr, arr + n);
    double ans = 0;
    for(int i = 0; i < n; i++)
    {
        ans = max(ans, arr[i].first * totalSum);
        totalSum -= arr[i].second;
    }
    printf("%.9f", ans / 100);
}